[Deprecated]: V1.0

get

/ec-designer-svc/rest/v1.0/studies/{studyId}/versions/{version}/randomizations/{randomId}/strata/{stratumId}

Deprecated: Use latest version instead. Retrieves one stratum group for the specified randomization design in a study version. The stratumId path parameter identifies the stratum, and the response returns its factors, selected form items or choices, and related grouping details.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : StratumDto v1.0
Type: object
Title: StratumDto v1.0
Randomization Stratum Detail Information
Show Source
Nested Schema : factors
Type: array
Minimum Number of Items: 1
Maximum Number of Items: 2147483647
Show Source
  • StratumFactorDto v1.0
    Title: StratumFactorDto v1.0
    Discriminator: { "propertyName":"type", "mapping":{ "choice":"#/components/schemas/StratumChoiceFactorDtoV1", "range":"#/components/schemas/StratumRangeFactorDtoV1" } }
    Randomization Stratum Factor Information
Nested Schema : StratumFactorDto v1.0
Type: object
Title: StratumFactorDto v1.0
Discriminator: type

Discriminator Values

Randomization Stratum Factor Information
Show Source
Match One Schema
Show Source
Nested Schema : StratumChoiceFactorDto v1.0
Type: object
Title: StratumChoiceFactorDto v1.0
Stratum Choice Factor Detail Information
Match All
Stratum Choice Factor Detail Information
Stratum Choice Factor Detail Information
Show Source
Nested Schema : StratumRangeFactorDto v1.0
Type: object
Title: StratumRangeFactorDto v1.0
Stratum Range Factor Detail Information
Match All
Stratum Range Factor Detail Information
Stratum Range Factor Detail Information
Show Source
Nested Schema : StratumChoiceFactorDto v1.0-allOf[1]
Type: object
Show Source
Nested Schema : values
Type: array
Minimum Number of Items: 1
Maximum Number of Items: 2147483647
Show Source
  • Minimum Length: 1
    Maximum Length: 2147483647
    Selected from choice factor's code list choice values
    Example: 1
Nested Schema : StratumRangeFactorDto v1.0-allOf[1]
Type: object
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top